std::is_bind_expression< _Tp >(3)

NAME
std::is_bind_expression< _Tp > - Determines if the given type _Tp is a function object that should be treated as a subexpression when evaluating calls to function objects returned by bind().

SYNOPSIS

Inherits std::integral_constant< _Tp, __v >.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Public Member Functions
constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes
static constexpr _Tp value

Detailed Description

  template<typename _Tp>
struct std::is_bind_expression< _Tp >" Determines if the given type _Tp is a function object that should be treated as a subexpression when evaluating calls to function objects returned by bind(). C++11 [func.bind.isbind].

Definition at line 184 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.